Subject: [Ips] draft-ietf-ips-iscsi-impl-guide-04.txt

From: "Mallikarjun C." <[email-masked]>
Date: Tue, 9 Jan 2007 14:29:18 -0800 (PST)

Summary of the few technical changes.  I am ignoring the editorial/boilerplate changes in the list below, as well as the change in title.

- Added an introductory paragraph in section 3.1.2 that REPORT LUNS is an example used in the rest of the section to illustrate the requirements. (Rob Elliott's comment)

- New key TaskReporting with three values, and dropping the old FastMultiTaskAbort key.  There were a few related changes scattered throughout the draft. (David Black's comment)

- Section 3.3.2, bullet (b) - change from "may solicit" to "SHOULD solicit". (Rob Elliott's comment)

- Section 3.3.3,, bullet 7.  Addition of PERSISTENT RESERVE OUT/PREEMPT AND ABORT as a grandfathered case for fencing (Rob Elliott's comment)

- Section 4.1.2 and 4.1.3 drop the requirement to wait for oustanding TTTs for 3rd party initiators (David Black's comment)

- Section 4.1.4 to clarify that buffer management to backup outstanding TTTs is really an implementation choice (Julian Satran/David Black's comment)

- Section 5.3 (new) to restrict the types of target-generated PDUs on Discovey sessions (list discussion)

- Section 6.1 clarifies that TPGT text is fixed in SAM-4 (Rob Elliott's comment)

- Section 6.4 clarifies that there can be only one outstanding Login or Text negotiation at any time (anonymous reviewer/Julian Satran's comment)

- Section 7.4 clarifies the message error checking expectations on the receiver (Eddy Quicksall/Paul Koning's comment)

- Section 8.2 notes the obsoletion of a Reject reason code (anonymous reviewer)

BTW, the pdf copy has the complete change bars.
http://www.ietf.org/internet-drafts/draft-ietf-ips-iscsi-impl-guide-04.pdf

Mallikarjun

----- Original Message ----
From: "[email-masked]" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Sent: Tuesday, January 9, 2007 12:50:02 PM
Subject: [Ips] I-D ACTION:draft-ietf-ips-iscsi-impl-guide-04.txt

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
This draft is a work item of the IP Storage Working Group of the IETF.

    Title        : iSCSI Corrections and Clarifications
    Author(s)    : M. Chadalapaka
    Filename    : draft-ietf-ips-iscsi-impl-guide-04.txt,.pdf
    Pages        : 37
    Date        : 2007-1-9
    
iSCSI is a SCSI transport protocol and maps the SCSI family 
     of application protocols onto TCP/IP.  RFC 3720 defines the
     iSCSI protocol.  This document compiles the clarifications to 
     the original protocol definition in RFC 3720 to serve as a 
     companion document for the iSCSI implementers. This document 
     updates RFC 3720 and the text in this document supersedes the 
     text in RFC 3720 when the two differ.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-ips-iscsi-impl-guide-04.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-ietf-ips-iscsi-impl-guide-04.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
    [email-masked].
In the body type:
    "FILE /internet-drafts/draft-ietf-ips-iscsi-impl-guide-04.txt".
    
NOTE:    The mail server at ietf.org can return the document in
    MIME-encoded form by using the "mpack" utility.  To use this
    feature, insert the command "ENCODING mime" before the "FILE"
    command.  To decode the response(s), you will need "munpack" or
    a MIME-compliant mail reader.  Different MIME-compliant mail readers
    exhibit different behavior, especially when dealing with
    "multipart" MIME messages (i.e. documents which have been split
    up into multiple messages), so check your local documentation on
    how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips